std::uniform_int_distribution< _IntType > Class Template Reference

## Classes

struct | param_type

## Public Types

typedef _IntType | result_type

## Public Member Functions

| uniform_int_distribution (_IntType __a=0, _IntType __b=std::numeric_limits< _IntType >::max())
| uniform_int_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type | a () const
result_type | b () const
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

bool | operator== (const uniform_int_distribution &__d1, const uniform_int_distribution &__d2)

## Detailed Description

### template<typename _IntType = int>
class std::uniform_int_distribution< _IntType >

Uniform discrete distribution for random numbers. A discrete random distribution on the range with equal probability throughout the range.

Definition at line 61 of file uniform_int_dist.h.

## Member Typedef Documentation

## result_type

template<typename _IntType = int>

typedef _IntType std::uniform_int_distribution< _IntType >::result_type

The type of the range of the distribution.

Definition at line 64 of file uniform_int_dist.h.

## Constructor & Destructor Documentation

## uniform_int_distribution()

template<typename _IntType = int>

std::uniform_int_distribution< _IntType >::uniform_int_distribution | ( | _IntType | __a = `0`,
|  | _IntType | __b = `std::numeric_limits<_IntType>::max()`
| ) |  |

inline explicit

Constructs a uniform distribution object.

Definition at line 108 of file uniform_int_dist.h.

## Member Function Documentation

## max()

template<typename _IntType = int>

result_type std::uniform_int_distribution< _IntType >::max | ( |  | ) | const

inline

Returns the inclusive upper bound of the distribution range.

Definition at line 160 of file uniform_int_dist.h.

## min()

template<typename _IntType = int>

result_type std::uniform_int_distribution< _IntType >::min | ( |  | ) | const

inline

Returns the inclusive lower bound of the distribution range.

Definition at line 153 of file uniform_int_dist.h.

## operator()()

template<typename _IntType = int>
template<typename _UniformRandomNumberGenerator >

result_type std::uniform_int_distribution< _IntType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 168 of file uniform_int_dist.h.

## param() [1/2]

template<typename _IntType = int>

param_type std::uniform_int_distribution< _IntType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 138 of file uniform_int_dist.h.

Referenced by std::operator>>().

## param() [2/2]

template<typename _IntType = int>

void std::uniform_int_distribution< _IntType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 146 of file uniform_int_dist.h.

## reset()

template<typename _IntType = int>

void std::uniform_int_distribution< _IntType >::reset | ( |  | ) |

inline

Resets the distribution state.

Does nothing for the uniform integer distribution.

Definition at line 124 of file uniform_int_dist.h.

## Friends And Related Function Documentation

## operator==

template<typename _IntType = int>

bool operator== | ( | const uniform_int_distribution< _IntType > & | __d1,
|  | const uniform_int_distribution< _IntType > & | __d2
| ) |  |

friend

Return true if two uniform integer distributions have the same parameters.

Definition at line 203 of file uniform_int_dist.h.

The documentation for this class was generated from the following file:

- uniform_int_dist.h